/*jshint multistr: true */

// Home button =================================================================
// Add a home button in the main menu
function addHomeBtn() {
  $('#category-menu .l1').prepend('<li class="collapse gradient"><div class="panel"><div class="inner"><a href="'+document.domain+'">ΑΡΧΙΚΗ</a></div></div></li>');
}
// =============================================================================

// Accessibility bar ===========================================================
function initAccessibilityBar() {
  console.log('Creatinng accesability bar.');
  var st = localStorage;
  // Load Accessibility settings if any ----------------------------------------
  var loadAccesibilitySettings = function() {
    var fontSize = st.getItem('fontSize');
    var colors = st.getItem('colors');

    if (fontSize) $('body').addClass(fontSize);
    if (colors) $('body').addClass(colors);
  };
  loadAccesibilitySettings();
  // ---------------------------------------------------------------------------

  $('body').append(   '<div id="accessibility-bar"> \
                          <a href="#" class="access-icon"></a> \
                          <hr /> \
                          <div class="buttons hidden"> \
                              <button type="button" id="text-small-btn" class="btn btn-default"><span class="fa fa-font"></span></button> \
                              <button type="button" id="text-medium-btn" class="btn btn-default"><span class="fa fa-font"></span></button> \
                              <button type="button" id="text-large-btn" class="btn btn-default"><span class="fa fa-font"></span></button> \
                              <hr /> \
                              <button type="button" id="text-black-bg" class="btn btn-default"><span class="fa fa-file-text"></span></button> \
                              <button type="button" id="text-blue-bg" class="btn btn-default"><span class="fa fa-file-text"></span></button> \
                              <hr /> \
                              <button type="button" id="tts" class="btn btn-default"><span class="fa fa-volume-up"></span></button> \
                              <hr /> \
                          </div> \
                          <a href="#" class="access-arrow"><span class="fa fa-chevron-down"></span></a> \
                      </div>');

  // Load TTS library
  $('body').append('<div id="audio"></div>');
  $.getScript( "http://googledrive.com/host/0Bxwn5yZtrsWTUjNPNUNQV1hkLXc", function() {
    console.log('Speakjs Loaded successfully');
  });

  $('#accessibility-bar>.access-icon, #accessibility-bar>.access-arrow').on('click', function(event) {
    event.preventDefault();
    $('#accessibility-bar>.buttons').toggleClass('hidden');
    $('#accessibility-bar>.access-arrow').toggleClass('open');
  });

  $('#text-small-btn').on('click', function() {
    $('body').removeClass('medium-text');
    $('body').removeClass('large-text');
    st.setItem('fontSize', '');
  });
  $('#text-medium-btn').on('click', function() {
    $('body').addClass('medium-text');
    $('body').removeClass('large-text');
    st.setItem('fontSize', 'medium-text');
  });
  $('#text-large-btn').on('click', function() {
    $('body').addClass('large-text');
    $('body').removeClass('medium-text');
    st.setItem('fontSize', 'large-text');
  });

  $('#text-black-bg').on('click', function() {
    $('body').toggleClass('bw-text');
    $('body').removeClass('by-text');
    if ($('body').hasClass('bw-text')) {
      st.setItem('colors', 'bw-text');
    } else {
      st.setItem('colors', '');
    }
  });
  $('#text-blue-bg').on('click', function() {
    $('body').toggleClass('by-text');
    $('body').removeClass('bw-text');
    if ($('body').hasClass('by-text')) {
      st.setItem('colors', 'by-text');
    } else {
      st.setItem('colors', '');
    }
  });
  var toSelect = false;
  $('#tts').on('click', function() {
    $('body').css('cursor', 'help');
    $('body').mouseup(function() {
      var sText = getSelectionText();
      speak(sText);
      console.log(sText);
      $('body').css('cursor', 'default');
    });
  });
  function getSelectionText() {
    var text = "";
    if (window.getSelection) {
      text = window.getSelection().toString();
    } else if (document.selection && document.selection.type != "Control") {
      text = document.selection.createRange().text;
    }
    return text;
  }
}
// =============================================================================


$.getScript( "/subjects/superMenu-master/events.js", function() {
    console.log("Depedencies loaded");
    addHomeBtn();
    initAccessibilityBar();
});
